0

Can I use my raspberry pi as a PostgreSQL database which I can use for the metasploit framework.

So normaly (for example on the kali linux distro) you have to create a postgreSQL database on your device and connect this to metasploit with the command db_connect.

Again the question: can I use my raspberry pi as a PostgreSQL database for metasploit usage?

1 Answer 1

1

You can use sudo apt-get update && sudo apt-get install postgresql-9.1 to install PostgreSQL.

Also, if you don't want to install tools on raspbian, I suggest you to get image of kali linux for Rpi. Link : http://docs.kali.org/kali-on-arm/install-kali-linux-arm-raspberry-pi

2
  • Thanks, but how can I connect to it then just somethinglike: msf> db_connect "ip of Rpi" ?
    – user34217
    Commented Sep 22, 2015 at 10:11
  • @MaricioJongma I believe that you need to change database.yml file in order to set those parameter. Have a look at this link. fedoraproject.org/wiki/Metasploit_Postgres_Setup Make sure your Rpi db is accessible from its ip and you have exact same users, db etc on your Rpi db. Good luck. Commented Sep 22, 2015 at 10:22

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.